Kubernetes 1.23 正式发布

来源: OSCHINA
编辑: Alias_Travis
2021-12-09

Kubernetes 1.23 正式发布,这是 2021 年的最后一个版本。此版本包含 47 项改进:11 项增强功能已升级到稳定版,17 项增强功能正在进入测试版,19 项增强功能正在进入 Alpha 版。此外,1 个功能已被弃用。

该版本值得关注的更新内容包括:

弃用 FlexVolume

FlexVolume 已被弃用。树外 CSI 驱动是在 Kubernetes 中编写卷驱动的推荐方式。FlexVolume 驱动的维护者应该实现 CSI 驱动,并将 FlexVolume 的用户转移到 CSI。FlexVolume 的用户应将他们的工作负载转移到 CSI 驱动。

弃用 klog 的特定标志(flags)

为了简化代码库,在 Kubernetes 1.23 中的一些日志标志被标记为弃用。实现这些标志的代码将在未来的版本中被删除,所以这些标志的用户需要开始用一些替代的解决方案来替换被弃用的标志。

Kubernetes 发布过程中的 SLSA Level 1 合规性

Kubernetes 版本现在生成描述发布过程中的暂存和发布阶段的出处证明文件,软件产品在从一个阶段移交给下一个阶段时被验证。这最后一项工作完成了符合 SLSA(软件产品的供应链级别) 安全框架 Level 1 的要求。

IPv4/IPv6 双协议栈网络升级为 GA

IPv4/IPv6 双协议栈网络技术升级为 GA。从 1.21 开始,Kubernetes 集群默认支持双协议栈网络。在 1.23版本中, IPv6DualStack 被移除。双协议栈网络的使用不是强制性的。尽管集群被启用以支持双协议栈网络,但 Pod 和 Services 仍然默认为单协议栈。

HorizontalPodAutoscaler v2 升级为 GA

在 1.23 版本中,HorizontalPodAutoscaler API v2 升级为稳定版。HorizontalPodAutoscaler autoscaling/v2beta2 API 已被弃用,转而使用新的 autoscaling/v2 API,Kubernetes 项目推荐该 API 用于所有用例。

通用临时卷功能升级为 GA

通用临时卷功能(Generic Ephemeral Volume feature)在 1.23 版本中升级到了 GA。该功能允许任何支持动态配置的现有存储驱动器被用作临时卷,卷的生命周期与 Pod 绑定。所有用于卷配置的 StorageClass 参数和 PersistentVolumeClaims 支持的所有功能都支持。

跳过卷所有权更改(Skip Volume Ownership Change)升级到 GA

为 Pod 配置卷权限和所有权更改策略的功能在 1.23 中升级到了 GA。这允许用户跳过挂载时的递归权限变更,并加快了 Pod 的启动时间。

允许 CSI 驱动选择加入卷所有权和权限更改升级到 GA

允许 CSI 驱动程序声明支持基于 fsGroup 的权限的功能在 1.23 版本中升为 GA。

PodSecurity 升为 Beta 版

PodSecurity 转为 Beta 版本。 PodSecurity 取代了被废弃的 PodSecurityPolicy 准入控制器。 PodSecurity 是一个准入控制器,根据设定执行级别的特定命名空间标签,对命名空间中的 Pod 执行 Pod 安全标准。在 1.23 中, PodSecurity 默认是启用的。

容器运行时接口(CRI)v1 是默认值

Kubelet 现在支持 CRI v1 API,它现在是整个项目的默认值。如果容器运行时不支持 v1 API,Kubernetes 将退回到 v1alpha2 实现。终端用户不需要进行任何中间操作,因为 v1v1alpha2 在执行上没有区别。在未来的某个 Kubernetes 版本中,很可能会删除 v1alpha2。

结构化日志升级到 Beta 版

结构化日志达到了 Beta 的里程碑。来自 kubelet 和 kube-scheduler 的大部分日志信息已经被转换。我们鼓励用户尝试 JSON 输出或结构化文本格式的解析,并就可能的解决方案提供反馈。

简化了调度器的 Multi-point 插件配置

kube-scheduler 正在为插件增加一个新的、简化的配置字段,允许在一个地方启用多个扩展点。新的 multiPoint 插件字段旨在为管理员简化大多数调度器的设置。通过 multiPoint 启用的插件将自动为它们实现的每个单独的扩展点注册。

CSI Migration 更新

CSI 迁移使现有的树内存储插件(如 kubernetes.io/gce-pdkubernetes.io/aws-ebs)被相应的 CSI 驱动所取代。如果 CSI Migration 工作正常,Kubernetes 终端用户应该不会注意到有什么不同。迁移后,Kubernetes 用户可以继续使用现有界面依赖树内存储插件的所有功能。

更多详情可查看:https://kubernetes.io/blog/2021/12/07/kubernetes-1-23-release-announcement/

展开阅读全文
5 收藏
分享
加载中
精彩评论
有我3个pr
2021-12-09 10:47
4
举报
最新评论 (1)
有我3个pr
2021-12-09 10:47
4
回复
举报
更多评论
1 评论
5 收藏
分享
返回顶部
顶部